API reference
Guest Accounts
Guest Accounts lets you invite other Rocket Validator users to share your subscription resources in terms of validation credits and features, without compromising your main account credentials.
Using the Rocket Validator API you can completely manage your guest accounts by listing, creating, updating or deleting guest accounts.
Attributes
- Id
- Unique ID for the guest account. Also known as "guest token".
- Invitation URL
- For an available invitation, public URL to be shared with the guest so it can be accepted.
- Max Usage
- Maximum number of allowed credits per month.
- Current Usage
- Used credits for the current month. Will be reset to 0 at the beginning of each month.
- Guest
- Name and email of the guest user that accepted the invitation.
- Inserted At
- Timestamp with the date of creation of this guest account.
- Updated At
- Timestamp with the date of last update of this guest account.
- Accepted At
- Timestamp with the date of acceptance of this guest account.
Example
Example: Guest Account
{"data": {"attributes": {"accepted_at": "2022-02-22T15:11:28","current_usage": 0,"guest": {"email": "jean@example.com","name": "Jean Example"},"inserted_at": "2022-01-23T14:49:46","invitation_url": null,"max_usage": 5000,"updated_at": "2024-05-03T08:31:18"},"id": "G30629C8BD","type": "guest_account"},"jsonapi": {"version": "1.0"}}List of Guest Accounts
To list all your guest accounts, send a
GETrequest to/api/v1/guest_accounts.
GET /api/v1/guest_accountsRetrieve a Guest Account
To retrieve an individual Guest Account, send a
GETrequest to/api/v1/guest_accounts/$GUEST_ACCOUNT_ID.
GET /api/v1/guest_accounts/$GUEST_ACCOUNT_IDCreate a Guest Account
To create a Guest Account, send a
POSTrequest to/api/v1/guest_accounts, with a JSON payload in the body including themax_usageattribute.Example: POST https://rocketvalidator.com/api/v1/guests_accounts
{"data": {"attributes": {"max_usage": 1000}}}Update a Guest Account
To update an existing Guest Account, send a
PATCHrequest to/api/v1/guest_accounts/$GUEST_ACCOUNT_ID.You can include any of these attributes in the payload:
current_usage. Positive number, indicating the current usage for the ongoing month.max_usage. Positive number, indicating the maximum allowed credits per month.Example: PATCH https://rocketvalidator.com/api/v1/guests_accounts/$GUEST_ACCOUNT_ID
{"data": {"attributes": {"current_usage": 500,"max_usage": 2000}}}Delete a Guest Account
To delete an individual Guest Account from your account, send a
DELETErequest to/api/v1/guest_accounts/$GUEST_ACCOUNT_ID.
DELETE https://rocketvalidator.com/api/v1/guest_accounts/$GUEST_ACCOUNT_ID